INTERFACE
SUBROUTINE EGGX (PRPI, PRA, KROTEQ, PLONR, PLATR, PBETA,&
 & PLON1, PLAT1, PLON2, PLAT2, PLON0, PLAT0, PRPK, KULOUT,&
 & KSOTRP, KGIV0,&
 & PGELAM, PGELAT, PGM, PGNORX, PGNORY,&
 & KDLSA, KDLSUR, KDGSA, KDGEN, KDLUN, KDLUX, KDGUN, KDGUX,&
 & PDELX, PDELY) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
INTEGER(KIND=JPIM),INTENT(IN) :: KDLSA
INTEGER(KIND=JPIM),INTENT(IN) :: KDLSUR
INTEGER(KIND=JPIM),INTENT(IN) :: KDGSA
INTEGER(KIND=JPIM),INTENT(IN) :: KDGEN
REAL(KIND=JPRB) :: PRPI
REAL(KIND=JPRB) :: PRA
INTEGER(KIND=JPIM),INTENT(IN) :: KROTEQ
REAL(KIND=JPRB) ,INTENT(INOUT) :: PLONR
REAL(KIND=JPRB) ,INTENT(INOUT) :: PLATR
REAL(KIND=JPRB) ,INTENT(IN) :: PBETA
REAL(KIND=JPRB) ,INTENT(INOUT) :: PLON1
REAL(KIND=JPRB) ,INTENT(INOUT) :: PLAT1
REAL(KIND=JPRB) ,INTENT(INOUT) :: PLON2
REAL(KIND=JPRB) ,INTENT(INOUT) :: PLAT2
REAL(KIND=JPRB) ,INTENT(INOUT) :: PLON0
REAL(KIND=JPRB) ,INTENT(INOUT) :: PLAT0
REAL(KIND=JPRB) :: PRPK
INTEGER(KIND=JPIM) :: KULOUT
INTEGER(KIND=JPIM) :: KSOTRP
INTEGER(KIND=JPIM),INTENT(IN) :: KGIV0
REAL(KIND=JPRB) :: PGELAM(KDLSA:KDLSUR,KDGSA:KDGEN)
REAL(KIND=JPRB) :: PGELAT(KDLSA:KDLSUR,KDGSA:KDGEN)
REAL(KIND=JPRB) :: PGM(KDLSA:KDLSUR,KDGSA:KDGEN)
REAL(KIND=JPRB) :: PGNORX(KDLSA:KDLSUR,KDGSA:KDGEN)
REAL(KIND=JPRB) :: PGNORY(KDLSA:KDLSUR,KDGSA:KDGEN)
INTEGER(KIND=JPIM) :: KDLUN
INTEGER(KIND=JPIM) :: KDLUX
INTEGER(KIND=JPIM) :: KDGUN
INTEGER(KIND=JPIM) :: KDGUX
REAL(KIND=JPRB) :: PDELX
REAL(KIND=JPRB) :: PDELY
END SUBROUTINE EGGX
END INTERFACE
